# Class PlayerTimeRange

#####
Index

### Constructors

constructor

### Accessors

end
start

### Methods

isInFuture
isInPast
isInRangeExclusive
isInRangeInclusive
toString
fromTimeRanges

## Constructors

### constructor

- new PlayerTimeRange(start, end): PlayerTimeRange

- #### Parameters

  - start: number
  - end: number

  #### Returns PlayerTimeRange

## Accessors

### end

- get end(): number

- #### Returns number

### start

- get start(): number

- #### Returns number

## Methods

### isInFuture

- isInFuture(time): boolean

- #### Parameters

  - time: number

  #### Returns boolean

### isInPast

- isInPast(time): boolean

- #### Parameters

  - time: number

  #### Returns boolean

### isInRangeExclusive

- isInRangeExclusive(time): boolean

- #### Parameters

  - time: number

  #### Returns boolean

### isInRangeInclusive

- isInRangeInclusive(time): boolean

- #### Parameters

  - time: number

  #### Returns boolean

### toString

- toString(): string

- #### Returns string

### `Static` fromTimeRanges

- fromTimeRanges(timeRanges): PlayerTimeRange[]

- #### Parameters

  - timeRanges: TimeRanges

  #### Returns PlayerTimeRange[]